List edges
curl --request GET \
--url https://api.example.com/v1/projects/{projectId}/edges{
"data": [
{
"id": "<string>",
"sourceNodeId": "<string>",
"targetNodeId": "<string>",
"sourceCardId": "<string>",
"targetCardId": "<string>",
"sourceHandle": "<string>",
"targetHandle": "<string>",
"edgeType": "<string>"
}
]
}Edges
List edges
Retrieve all edges (connections) in a project.
GET
/
v1
/
projects
/
{projectId}
/
edges
List edges
curl --request GET \
--url https://api.example.com/v1/projects/{projectId}/edges{
"data": [
{
"id": "<string>",
"sourceNodeId": "<string>",
"targetNodeId": "<string>",
"sourceCardId": "<string>",
"targetCardId": "<string>",
"sourceHandle": "<string>",
"targetHandle": "<string>",
"edgeType": "<string>"
}
]
}Project UUID.
Show Edge object
Show Edge object
UUID
Source node UUID
Target node UUID
Optional card ID within source node
Optional card ID within target node
One of
top, bottom, left, rightOne of
top, bottom, left, rightCustom edge type
curl https://api.getkommit.ai/v1/projects/a1b2c3d4-e5f6-7890-abcd-ef1234567890/edges \
-H "Authorization: Bearer km_your_api_key"
Was this page helpful?
⌘I